Page MenuHome

Net Render Master/Slave Not Working in OSX (Blender v2.62 32 Bit)
Closed, ResolvedPublic

Description

== PROBLEM ==

When starting master or slave service in the GUI, the software simply starts rendering (and saving) blank frames. I see no evidence of network communication ("Network Render" is the selected render engine.)

Also tried on the command line. Each of the following gave the same result (render and save blank frames):

$ blender -b master.blend -a
$ blender -b master.blend -E NET_RENDER -a
$ blender -b slave.blend -a

The following does appear to put a slave into listening mode, but I can't confirm it because I can't get a master running:

$ blender -b slave.blend -E NET_RENDER -a

I have attached the master.blend and slave.blend files.

Thanks!
--Ron


== SYSTEM / BUILD INFO ==

============================================
= Blender 2.62 (sub 0) System Information =
============================================


Blender:
============================================

version 2.62 (sub 0), revision 44136. Release
build date: 2012-02-15, 20:36:25
platform: Darwin:64bit
binary path: /Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/blender
build cflags: -DWITH_QUICKTIME -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -pipe -funsigned-char -DNDEBUG -O2 -ftree-vectorize -msse -msse2 -msse3 -mfpmath=sse -m32 -DGHOST_COCOA -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -D__LITTLE_ENDIAN__ -DWITH_AUDASPACE
build cxxflags: -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -pipe -funsigned-char -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -arch i386 -DNDEBUG -O2 -ftree-vectorize -msse -msse2 -msse3 -mfpmath=sse -m32 -DGHOST_COCOA -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -D__LITTLE_ENDIAN__ -DWITH_AUDASPACE
build linkflags: -mmacosx-version-min=10.5 -Wl -isysroot /Developer/SDKs/MacOSX10.5.sdk -arch i386 -fexceptions -framework CoreServices -framework Foundation -framework IOKit -framework AppKit -framework Cocoa -framework Carbon -framework AudioUnit -framework AudioToolbox -framework CoreAudio -framework OpenAL -m32 -framework QuickTime
build system: SCons

Python:
============================================

version: 3.2.1 (default, Aug 5 2011, 20:41:36)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)]
paths:
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/startup
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/modules
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/python/lib/python32.zip
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/python/lib/python3.2/
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/python/lib/python3.2/plat-darwin
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/python/lib/python3.2/lib-dynload
/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/modules

Directories:
============================================

scripts: ['/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts']
user scripts: None
datafiles: /Users/ronproctor/Library/Application Support/Blender/2.62/datafiles/
config: /Users/ronproctor/Library/Application Support/Blender/2.62/config/
scripts : /Users/ronproctor/Library/Application Support/Blender/2.62/scripts/
autosave: /Users/ronproctor/Library/Application Support/Blender/2.62/autosave/
tempdir: /tmp/

FFmpeg:
============================================

avcodec: 53, 60, 100
avdevice: 53, 4, 100
avformat: 53, 31, 100
avutil: 51, 34, 101
swscale: 2, 1, 100

OpenGL
============================================

renderer: NVIDIA Quadro FX 4500 OpenGL Engine
vendor: NVIDIA Corporation
version: 2.1 NVIDIA-1.6.36
extensions:
GL_ARB_transpose_matrix GL_ARB_vertex_program GL_ARB_vertex_blend
GL_ARB_window_pos GL_ARB_shader_objects GL_ARB_vertex_shader
GL_ARB_shading_language_100 GL_EXT_multi_draw_arrays
GL_EXT_clip_volume_hint GL_EXT_rescale_normal
GL_EXT_draw_range_elements GL_EXT_fog_coord
GL_EXT_gpu_program_parameters GL_EXT_geometry_shader4
GL_EXT_transform_feedback GL_APPLE_client_storage
GL_APPLE_specular_vector GL_APPLE_transform_hint
GL_APPLE_packed_pixels GL_APPLE_fence GL_APPLE_vertex_array_object
GL_APPLE_vertex_program_evaluators GL_APPLE_element_array
GL_APPLE_flush_render GL_APPLE_aux_depth_stencil
GL_NV_texgen_reflection GL_NV_light_max_exponent GL_IBM_rasterpos_clip
GL_SGIS_generate_mipmap GL_ARB_imaging GL_ARB_point_parameters
GL_ARB_texture_env_crossbar GL_ARB_texture_border_clamp
GL_ARB_multitexture GL_ARB_texture_env_add GL_ARB_texture_cube_map
GL_ARB_texture_env_dot3 GL_ARB_multisample GL_ARB_texture_env_combine
GL_ARB_texture_compression GL_ARB_texture_mirrored_repeat
GL_ARB_shadow GL_ARB_depth_texture GL_ARB_fragment_program
GL_ARB_fragment_program_shadow GL_ARB_fragment_shader
GL_ARB_occlusion_query GL_ARB_point_sprite
GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object
GL_ARB_pixel_buffer_object GL_ARB_draw_buffers
GL_ARB_shader_texture_lod GL_ARB_half_float_vertex
GL_EXT_compiled_vertex_array GL_EXT_framebuffer_object
GL_EXT_texture_rectangle GL_ARB_texture_rectangle
GL_EXT_texture_env_add GL_EXT_blend_color GL_EXT_blend_minmax
GL_EXT_blend_subtract GL_EXT_texture_lod_bias GL_EXT_abgr GL_EXT_bgra
GL_EXT_stencil_wrap GL_EXT_texture_filter_anisotropic
GL_EXT_secondary_color GL_EXT_blend_func_separate GL_EXT_shadow_funcs
GL_EXT_stencil_two_side GL_EXT_depth_bounds_test
GL_EXT_texture_compression_s3tc GL_EXT_texture_compression_dxt1
GL_EXT_texture_sRGB GL_EXT_blend_equation_separate
GL_EXT_texture_mirror_clamp GL_EXT_packed_depth_stencil
GL_EXT_provoking_vertex GL_APPLE_flush_buffer_range GL_APPLE_ycbcr_422
GL_APPLE_rgb_422 GL_APPLE_vertex_array_range GL_APPLE_texture_range
GL_APPLE_float_pixels GL_ATI_texture_float GL_ARB_texture_float
GL_ARB_half_float_pixel GL_APPLE_pixel_buffer
GL_APPLE_object_purgeable GL_NV_point_sprite GL_NV_blend_square
GL_NV_fog_distance GL_NV_depth_clamp GL_NV_multisample_filter_hint
GL_NV_fragment_program_option GL_NV_fragment_program2
GL_NV_vertex_program2_option GL_NV_vertex_program3
GL_ATI_texture_mirror_once GL_ATI_texture_env_combine3
GL_ATI_separate_stencil GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod
GL_EXT_vertex_array_bgra


== DEV PRAISE ==

Thanks for making Blender. You make me proud to be a monthly contributor to the development fund!

###

Details

Type
Bug

Event Timeline

Oops -- wrong master.blend. I had tried limiting the start and end frames to 0 and 0, to see if that changed anything. Here's the one that renders blank frames 1-1000, as described.

Thanks,
--Ron

I ran into something like this myself. My workaround was to save the default scene with the "Network Rendering" add-on turned on (it's off by default), then re-run the command line master and slave. See if that works.

@Fred: Thanks, but I had already done this before I began testing (startup.blend is attached).

I'm not sure if a Master will work properly with a domain name in the address field.
Can you try with an IP address and see if that changes anything?

When running from the command line, were you getting any sort of error output in the console?

You can also run the master or slave like this:

blender -b master.blend -f 1

This prevents it from saving multiple blank frames on error (it will only do it once).
You only need to add -E NET_RENDER if that wasn't the selected render engine when the file was saved.

Martin

Changing the address didn't help.

Output looked like a normal command line render, but I was missing the error messages at the front (thanks for the -f 1 suggestion). Here's the error output fromt he command line:

pieraz:~ ronproctor$ /Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/blender -b /Users/ronproctor/Dropbox/Public/master.blend -f 1
found bundled python: /Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/python
read blend: /Users/ronproctor/Dropbox/Public/master.blend
Error: [Errno 2] No such file or directory: '~/render/temp/master_31529'
Error: Traceback (most recent call last):
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 364, in render
raise e
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 359, in render
self.render_master(scene)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 380, in render_master
key_path=netsettings.key_path)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 1158, in runMaster
httpd = createMaster(address, clear, force, path)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 1149, in createMaster
return RenderMasterServer(address, RenderHandler, path, force=force)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 983, in __init__
os.mkdir(self.path)
OSError: [Errno 2] No such file or directory: '~/render/temp/master_31529'

location:<unknown location>:-1

Traceback (most recent call last):
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 364, in render
raise e
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 359, in render
self.render_master(scene)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/client.py", line 380, in render_master
key_path=netsettings.key_path)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 1158, in runMaster
httpd = createMaster(address, clear, force, path)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 1149, in createMaster
return RenderMasterServer(address, RenderHandler, path, force=force)
File "/Users/ronproctor/Downloads/blender262/blender.app/Contents/MacOS/2.62/scripts/addons/netrender/master.py", line 983, in __init__
os.mkdir(self.path)
OSError: [Errno 2] No such file or directory: '~/render/temp/master_31529'

location:<unknown location>:-1

location:<unknown location>:-1
Fra:1 Mem:3.91M (20.10M, peak 24.00M) Sce: scene Ve:0 Fa:0 La:0
Saved: /Users/ronproctor/Dropbox/Public/frames/frame_0001.jpg Time: 00:00.01

Blender quit

Fixed in revision 3018.

netrender didn't recursively create missing directory if you specified a path that didn't exist already. It also didn't expand user (~) and env vars which it does now.

Thanks for the report.

Martin Poirier (theeth) closed this task as Resolved.Feb 25 2012, 4:39 PM